Skip to content

Retrieve a specific annotation by the annotation ID. You must have View Content permission on the document version containing the specified ID.

GET/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotations/{annotation_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}
required
The document id field value.
{major_version}
required
The document major_version_number__v field value.
{minor_version}
required
The document minor_version_number__v field value.
{annotation_id}
required
The annotation ID, which can be retrieved with Read Annotations by Document Version and Type.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.1/objects/documents/102/versions/0/2/annotations/40
{ "responseStatus": "SUCCESS", "data": [ { "document_version_id__sys": "102_0_2", "modified_by_user__sys": "133999", "id__sys": "40", "placemark": { "y_coordinate__sys": 469.97, "coordinates__sys": [ 239.56, 469.97, 408.11, 469.97, 239.56, 199.16, 408.11, 199.16 ], "type__sys": "line__sys", "height__sys": 270.81, "width__sys": 168.55, "x_coordinate__sys": 239.56, "page_number__sys": 1, "style__sys": "line_weight_two__sys" }, "created_by_user__sys": "133999", "comment__sys": "Replace image", "created_date_time__sys": "2024-02-07T00:18:57.000Z", "modified_date_time__sys": "2024-02-07T00:18:57.000Z", "title__sys": "", "type__sys": "line__sys", "tag_names__sys": [ "IMG" ], "state__sys": "open__sys", "reply_count__sys": 0, "color__sys": "red_dark__sys" } ] }

On SUCCESS, the response includes all fields and values for the specified annotation. For more details about annotation fields, see Read Annotations by Document Version and Type.